Normal Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Normal Distributions:

## Functions

template<typename _RealType >
bool | std::operator!= (const std::cauchy_distribution< _RealType > &__d1, const std::cauchy_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::chi_squared_distribution< _RealType > &__d1, const std::chi_squared_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::fisher_f_distribution< _RealType > &__d1, const std::fisher_f_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::gamma_distribution< _RealType > &__d1, const std::gamma_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::lognormal_distribution< _RealType > &__d1, const std::lognormal_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::normal_distribution< _RealType > &__d1, const std::normal_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::student_t_distribution< _RealType > &__d1, const std::student_t_distribution< _RealType > &__d2)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::cauchy_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::cauchy_distribution< _RealType > &__x)

## Detailed Description

## Function Documentation

## operator!=() [1/7]

template<typename _RealType >

bool std::operator!= | ( | const std::cauchy_distribution< _RealType > & | __d1,
|  | const std::cauchy_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Cauchy distributions have different parameters.

Definition at line 3021 of file random.h.

## operator!=() [2/7]

template<typename _RealType >

bool std::operator!= | ( | const std::chi_squared_distribution< _RealType > & | __d1,
|  | const std::chi_squared_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Chi-squared distributions are different.

Definition at line 2847 of file random.h.

## operator!=() [3/7]

template<typename _RealType >

bool std::operator!= | ( | const std::fisher_f_distribution< _RealType > & | __d1,
|  | const std::fisher_f_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Fisher f distributions are different.

Definition at line 3285 of file random.h.

## operator!=() [4/7]

template<typename _RealType >

bool std::operator!= | ( | const std::gamma_distribution< _RealType > & | __d1,
|  | const std::gamma_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two gamma distributions are different.

Definition at line 2623 of file random.h.

## operator!=() [5/7]

template<typename _RealType >

bool std::operator!= | ( | const std::lognormal_distribution< _RealType > & | __d1,
|  | const std::lognormal_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two lognormal distributions are different.

Definition at line 2392 of file random.h.

## operator!=() [6/7]

template<typename _RealType >

bool std::operator!= | ( | const std::normal_distribution< _RealType > & | __d1,
|  | const std::normal_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two normal distributions are different.

Definition at line 2181 of file random.h.

## operator!=() [7/7]

template<typename _RealType >

bool std::operator!= | ( | const std::student_t_distribution< _RealType > & | __d1,
|  | const std::student_t_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Student t distributions are different.

Definition at line 3507 of file random.h.

## operator<<()

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::cauchy_distribution< _RealType > & | __x
| ) |  |

Inserts a cauchy_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A cauchy_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2128 of file bits/random.tcc.

## operator>>()

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::cauchy_distribution< _RealType > & | __x
| ) |  |

Extracts a cauchy_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A cauchy_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2173 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::cauchy_distribution< _RealType >::param(), and std::skipws().